# Changelog

## [v1.0.0] - 2024-12-09

### Features
- Markdown 编辑器基本功能
  - 支持实时预览
  - 支持分屏、纯编辑、纯预览三种模式
  - Monaco Editor 集成，提供优秀的编辑体验

- 完整的 Markdown 工具栏
  - 文本样式（粗体、斜体、删除线）
  - 代码（行内代码、代码块）
  - 链接和图片
  - 列表（有序和无序）
  - 引用
  - 标题（H1-H3）
  - 表格和分隔线

- 文件操作
  - Markdown 文件保存功能
  - PDF 导出功能，支持完整样式

### Technical Details
- 基于 Electron + React 构建
- 使用 Monaco Editor 作为编辑器核心
- 使用 Marked 进行 Markdown 渲染
- 使用 React Split 实现分屏功能
- 使用 Font Awesome 图标
- 支持主题定制

### Development Notes
- 这个版本作为基础版本，包含了所有核心功能
- 可以作为后续版本的回滚点
- 所有基本功能都已经过测试
